testfilesystem.c File Reference
`#include <stdio.h>`
`#include "SDL.h"`
Include dependency graph for testfilesystem.c:

Go to the source code of this file.

## Functions

int | main (int argc, char *argv[])

## Function Documentation

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 18 of file testfilesystem.c.

References NULL, SDL_free(), SDL_GetBasePath(), SDL_GetError, SDL_GetPrefPath, SDL_Init, SDL_Log, SDL_LOG_CATEGORY_APPLICATION, SDL_LOG_PRIORITY_INFO, SDL_LogError, SDL_LogSetPriority, and SDL_Quit.

{
char *base_path;
char *pref_path;
/* Enable standard application logging */
SDL_LogSetPriority(SDL_LOG_CATEGORY_APPLICATION, SDL_LOG_PRIORITY_INFO);
if (SDL_Init(0) == -1) {
SDL_LogError(SDL_LOG_CATEGORY_APPLICATION, "SDL_Init() failed: %s\n", SDL_GetError());
return 1;
}
base_path = SDL_GetBasePath();
if(base_path == NULL){
SDL_LogError(SDL_LOG_CATEGORY_APPLICATION, "Couldn't find base path: %s\n",
SDL_GetError());
return 0;
}
SDL_Log("base path: '%s'\n", base_path);
SDL_free(base_path);
pref_path = SDL_GetPrefPath("libsdl", "testfilesystem");
if(pref_path == NULL){
SDL_LogError(SDL_LOG_CATEGORY_APPLICATION, "Couldn't find pref path: %s\n",
SDL_GetError());
return 0;
}
SDL_Log("pref path: '%s'\n", pref_path);
SDL_free(pref_path);
SDL_Quit();
return 0;
}
SDL_GetError
#define SDL_GetError
Definition: SDL_dynapi_overrides.h:119
SDL_LogError
#define SDL_LogError
Definition: SDL_dynapi_overrides.h:42
SDL_Log
#define SDL_Log
Definition: SDL_dynapi_overrides.h:37
SDL_free
void SDL_free(void *mem)
SDL_Quit
#define SDL_Quit
Definition: SDL_dynapi_overrides.h:64
SDL_LOG_PRIORITY_INFO
Definition: SDL_log.h:106
SDL_LogSetPriority
#define SDL_LogSetPriority
Definition: SDL_dynapi_overrides.h:242
NULL
#define NULL
Definition: begin_code.h:143
SDL_GetPrefPath
#define SDL_GetPrefPath
Definition: SDL_dynapi_overrides.h:140
SDL_Init
#define SDL_Init
Definition: SDL_dynapi_overrides.h:60
SDL_GetBasePath
char * SDL_GetBasePath(void)
Get the path where the application resides.
SDL_LOG_CATEGORY_APPLICATION
Definition: SDL_log.h:66